package labtest4;

/**
 * This class encapsulates a <it>cuboid</it>. A <it>cube</it> is a 3D shape such
 * that its width, length and height are the same. A <it>cuboid</it> is a 3D
 * shape that is similar to a cube, except that its sides (width, length, and
 * height) are not necessarily the same length.
 *
 *
 */
public class Cuboid {
	private double length;
	private double width;
	private double height;

	private Cuboid() {
	}

	/**
	 * Creates a new Cuboid object
	 *
	 * @param width
	 *            Width of the cuboid
	 * @param length
	 *            Length of the cuboid
	 * @param height
	 *            Height of the cuboid
	 */
	public Cuboid(double width, double length, double height) {
		this.length = length;
		this.width = width;
		this.height = height;
	}

	public double getVolume() {
		return length * width * height;
	}

	public void prettyPrint() {
		System.out.println("***");
		System.out.println("Here is a report about this cuboid.");
		System.out.println("This object's unique identifier is: "
				+ this.hashCode());
		System.out.println("This width, length, and height values are: "
				+ width + ", " + length + ", and " + height);
		System.out.println("***!");

	}

	public void compareVolume(Cuboid otherCuboid) {

		double volume1 = this.getVolume();
		double volume2 = otherCuboid.getVolume();

		if(volume1 > volume2) {
			System.out.println("The volume of this cuboid is larger than the other cuboid");
		} else {
			System.out.println("The volume of other cuboid is larger than this cuboid");
		}
	}
}
